### Constructor

# RB PlaylistSource new_from_xml

#### Declaration [src]

    RBSource*
    rb_playlist_source_new_from_xml (
      RBShell* shell,
      xmlNodePtr node
    )

#### Description [src]

Constructs a playlist source instance from the XML serialized format. This function knows about all the playlist types that can be saved to disk, and it hands off the XML node to the appropriate constructor based on the ‘type’ attribute of the root node of the playlist.

#### Parameters

`shell`

  Type: `RBShell`

  The `RBShell` instance.

  The data is owned by the caller of the function.

`node`

  Type: `xmlNodePtr`

  Libxml node containing the playlist.

#### Return value

Type: `RBSource`

The playlist.

The data is owned by the called function.